import { ProfileTypes, SportTypes } from 'config'
import { getProfileUrl } from '..'

it('returns correct profile urls', () => {
  expect(getProfileUrl({
    id: 1,
    profileType: ProfileTypes.PLAYERS,
    sportType: SportTypes.FOOTBALL,
  })).toBe('/football/players/1')

  expect(getProfileUrl({
    id: 2,
    profileType: ProfileTypes.TEAMS,
    sportType: SportTypes.BASKETBALL,
  })).toBe('/basketball/teams/2')

  expect(getProfileUrl({
    id: 3,
    profileType: ProfileTypes.TOURNAMENTS,
    sportType: SportTypes.HOCKEY,
  })).toBe('/hockey/tournaments/3')

  expect(getProfileUrl({
    id: 4,
    profileType: ProfileTypes.TOURNAMENTS,
    sportType: SportTypes.HANDBALL,
  })).toBe('/handball/tournaments/4')
})
